CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   Problems with installation of OpenFoam (http://www.cfd-online.com/Forums/openfoam-installation/57342-problems-installation-openfoam.html)

sheyer July 4, 2008 03:27

Hallo, I want to install Op
 
Hallo,

I want to install OpenFoam under Debian Linux. So I have download and unpack the files and add the line

. /home/sheyer/OpenFOAM/OpenFOAM-1.4.1/.OpenFOAM-1.4.1/bashrc

to the file .bashrc.

If I want to test the installation with running ./foamInstallationTest I get the following error messages:

sheyer@wimi001-linux:~/Programme/OpenFoam/OpenFOAM-1.4.1/bin$ ./foamInstallationTest
Executing ./foamInstallationTest:


Checking basic setup...
-------------------------------------------------------------------------------
Shell: bash
Host: panter
OS: Linux version 2.6.24-1-686
User: stefan
User_config: /home/stefan/.bashrc
Foam_config: /home/stefan/.OpenFOAM-1.4.1/bashrc sourced correctly.

FATAL ERROR Foam install directory not set.

Set correct path to installation 'WM_PROJECT_INST_DIR' in /home/stefan/.foam2.3/bashrc
-------------------------------------------------------------------------------


Checking main FOAM env variables...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Crit
-------------------------------------------------------------------------------
$WM_PROJECT_INST_DIR --------- env variable not set --------- yes
$WM_PROJECT_USER_DIR --------- env variable not set --------- no
$FOAM_JOB_DIR --------- env variable not set --------- yes
-------------------------------------------------------------------------------


Checking the FOAM env variables set on the PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$WM_PROJECT_DIR --------- env variable not set --------- yes

$FOAM_USER_APPBIN --------- env variable not set --------- no
$FOAM_APPBIN --------- env variable not set --------- yes
$WM_DIR --------- env variable not set --------- yes
$FOAMX_PATH --------- env variable not set --------- yes
$CEI_HOME --------- env variable not set --------- no

$JAVA_PATH --------- env variable not set --------- no
$MICO_ARCH_PATH --------- env variable not set --------- yes
$LAM_ARCH_PATH --------- env variable not set --------- yes
$MPICH_ARCH_PATH --------- env variable not set --------- no
-------------------------------------------------------------------------------


Checking the FOAM env variables set on the LD_LIBRARY_PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$FOAM_LIBBIN --------- env variable not set --------- yes
$FOAM_USER_LIBBIN --------- env variable not set --------- no
$LAM_ARCH_PATH --------- env variable not set --------- yes
-------------------------------------------------------------------------------


Software versions
-------------------------------------------------------------------------------
Software Version Location
-------------------------------------------------------------------------------
gcc 4.2.4
WARNING: Conflicting installations:
foam settings: /bin/gcc
current path : /usr/bin/gcc
CRITICAL ERROR

java 1.5.0_14
WARNING: Conflicting installations:
foam settings: /bin/java
current path : /usr/bin/java

gzip 1.3.12 /bin/gzip
tar 1.3.12 /bin/tar
icoFoam *** not installed ***
CRITICAL ERROR

-------------------------------------------------------------------------------


Checking file/directory permissions...
-------------------------------------------------------------------------------
File/directory Set Reqd Crit
-------------------------------------------------------------------------------


Checking networking...
-------------------------------------------------------------------------------
Action Result Crit
-------------------------------------------------------------------------------
Pinging_panter Successful yes
Pinging_localHost Successful yes
Test_rsh: Unsuccessful_connection_refused* yes
Test_ssh: Successful yes
(*) Only one of rsh or ssh is required by the Foam enviroment.

-------------------------------------------------------------------------------

Base configuration ok.

The foam installation contains 2 critical error(s).

Review the output for warning messages and consult
the installation guide for trouble shooting.


Please help me. Want have I made wrong or want have I forgotten during the installations.

With best regards

Stefan

ngj July 4, 2008 03:49

Try opening a new terminal win
 
Try opening a new terminal window and it should work. Otherwise redo everything and follow this step-by-step guide:

http://openfoamwiki.net/index.php/Ba...allation_Steps

Welcomehttp://www.cfd-online.com/OpenFOAM_D...part/happy.gif

Niels

monroe July 4, 2008 03:58

Hi Niels Gjoel. The installati
 
Hi Niels Gjoel. The installation is made in Cygwin.

Thank you

Hasse

sheyer July 4, 2008 04:12

Hallo, I have tried to use
 
Hallo,

I have tried to use the guide under

http://openfoamwiki.net/index.php/Ba...allation_Steps

but there I don't know how to unpack the files. What are this for file formats? I get there the following error mesage:

sheyer@panter:~/Programme/OpenFOAM$ ls
gcc-4.2.1.linux.tgz OpenFOAM-1.4.1.linuxGccDPOpt.gtgz
j2sdk1.4.2_05.linux.tgz OpenFOAM-1.4.1.linuxGccSPOpt.gtgz
OpenFOAM-1.4.1.General.gtgz paraview-2.4.4.linux.tgz
sheyer@panter:~/Programme/OpenFOAM$ tar -xzf OpenFOAM-1.4.1.General.gtgz

gzip: stdin: not in gzip format
tar: Child returned status 1
tar: Fehler beim Beenden, verursacht durch vorhergehende Fehler.


What is meant with:

The installation is made in Cygwin.

I don't understand this message since I am not a unix freak. What is Cygwin?



Thanks

Stefan

madad2005 July 4, 2008 04:40

Stefan, please use the guide i
 
Stefan, please use the guide in:

https://help.ubuntu.com/community/OpenFOAM

If you are confused with file formats, google them. There are plenty oof websites out there that will describe them and how to extract them.

For instance, Cygwin is a linux-emulator for windows. Google it!

sheyer July 4, 2008 06:16

Hallo, I have tried to us
 
Hallo,

I have tried to use the guide under

http://openfoamwiki.net/index.php/Ba...allation_Steps

I have unpacked the files. But now I get the same error messages how at the beginning and one more:

sheyer@wimi001-linux:~/Programme/OpenFOAM/OpenFOAM-1.4.1/bin$ sh foamInstallatio
nTest
Executing foamInstallationTest:


Checking basic setup...
-------------------------------------------------------------------------------
Shell: bash
Host: panter
OS: Linux version 2.6.24-1-686
User: sheyer
User_config: /home/sheyer/.bashrc
Foam_config: /home/sheyer/.OpenFOAM-1.4.1/bashrc sourced correctly.

FATAL ERROR Cannot find FOAM installation at: /home/sheyer/OpenFOAM

Set correct path to installation 'WM_PROJECT_INST_DIR' in /home/sheyer/.foam2.3/
bashrc
-------------------------------------------------------------------------------


Checking main FOAM env variables...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Crit
-------------------------------------------------------------------------------
$WM_PROJECT_INST_DIR /home/sheyer/OpenFOAM no yes
$WM_PROJECT_USER_DIR --------- env variable not set --------- no
$FOAM_JOB_DIR --------- env variable not set --------- yes
-------------------------------------------------------------------------------


Checking the FOAM env variables set on the PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$WM_PROJECT_DIR --------- env variable not set --------- yes

$FOAM_USER_APPBIN --------- env variable not set --------- no
$FOAM_APPBIN --------- env variable not set --------- yes
$WM_DIR --------- env variable not set --------- yes
$FOAMX_PATH --------- env variable not set --------- yes
$CEI_HOME --------- env variable not set --------- no

$JAVA_PATH --------- env variable not set --------- no
$MICO_ARCH_PATH --------- env variable not set --------- yes
$LAM_ARCH_PATH --------- env variable not set --------- yes
$MPICH_ARCH_PATH --------- env variable not set --------- no
-------------------------------------------------------------------------------


Checking the FOAM env variables set on the LD_LIBRARY_PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$FOAM_LIBBIN --------- env variable not set --------- yes
$FOAM_USER_LIBBIN --------- env variable not set --------- no
$LAM_ARCH_PATH --------- env variable not set --------- yes
-------------------------------------------------------------------------------


Software versions
-------------------------------------------------------------------------------
Software Version Location
-------------------------------------------------------------------------------
gcc 4.2.4
WARNING: Conflicting installations:
foam settings: /bin/gcc
current path : /usr/bin/gcc
CRITICAL ERROR

java 1.5.0_14
WARNING: Conflicting installations:
foam settings: /bin/java
current path : /usr/bin/java

gzip 1.3.12 /bin/gzip
tar 1.3.12 /bin/tar
icoFoam *** not installed ***
CRITICAL ERROR

-------------------------------------------------------------------------------


Checking file/directory permissions...
-------------------------------------------------------------------------------
File/directory Set Reqd Crit
-------------------------------------------------------------------------------


Checking networking...
-------------------------------------------------------------------------------
Action Result Crit
-------------------------------------------------------------------------------
Pinging_panter Successful yes
Pinging_localHost Successful yes
Test_rsh: Unsuccessful_connection_refused* yes
Test_ssh: Successful yes
(*) Only one of rsh or ssh is required by the Foam enviroment.

-------------------------------------------------------------------------------

The system test has evoked 1 fatal error(s).

The foam installation contains 2 critical error(s).

Review the output for warning messages and consult
the installation guide for trouble shooting.

in my ./bashrc i have type the new line:

. /home/sheyer/Programme/OpenFOAM/OpenFOAM-1.4.1/.OpenFOAM-1.4.1/bashrc


I think that the error could be, that after running the foamTestInstallation-file there stand the line:
Foam_config: /home/sheyer/.OpenFOAM-1.4.1/bashrc sourced correctly. And this folder doesnot exist. By me the correct path is
/home/sheyer/Programme/OpenFOAM/OpenFOAM-1.4.1/.OpenFOAM-1.4.1/bashrc

Do somebody knows if this is the error and how I can correct it so that the testfile is runnung successful.

Thanks a lot.

Regards Stefan

monroe July 4, 2008 07:00

Cygwin is a program that makes
 
Cygwin is a program that makes windows to a linux enviroment, which allows for exampel a OF user to install and compile OF with out having a linux operating system

nagappan July 7, 2008 14:12

Hi , I was installing Ope
 
Hi ,

I was installing OpenFOAM where i got some error messages during foaminstallation test regarding gcc , jdk .
Jdk not installed
and some critical error in gcc
Then i installed gcc . Now when i am installing JDk i have some problems. My lap configuration is AMD64 and i run Ubuntu in it . The error which i am getting while running JDk.bin is
Unpacking ...
Checksumming...
Extracting...
./install.sfx.5925:1:ELF:not found
./install.sfx.5925:2:Syntax error : ")" unexpected error
Failed to extract the files.

I am new to java so can anyone help me regarding this . Should i install jdk ? I dont have JDk . or without jdk foamX will run ?

mgz1985 July 28, 2008 03:45

hi my foamInstallationTest
 
hi

my foamInstallationTest gives me pass in installationTest without any errors or warnings but when i try and run blockMesh . cavity, i get an error about arguments

can sum1 help?


All times are GMT -4. The time now is 16:10.